Reading ASCII intensity files not culture invariant

02 Feb 2016 15:49 - david

Status: Archived Start date: 02 Feb 2016

Priority: Normal Due date:  

Assignee: herck % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint 30   

Description

strtod respects locale format, should be made invariant

Otherwise our intensity data files are loaded wrongly on German Locale Linux'es

We have to have our own function to_double,

under which we hide real implementation (strtod, or boost::lexical_cast, or something else) and it should be unit-tested

"4.3882628771e-313" -> 4.3882628771e-313

"3.1e00" -> 3.1

etc

See some suggestions here

https://github.com/JuliaLang/julia/issues/5928

http://stackoverflow.com/questions/1012571/stdstring-to-float-or-double

History

#1 - 02 Feb 2016 20:35 - pospelov

- Description updated

#2 - 02 Feb 2016 21:04 - pospelov

- Description updated

#3 - 02 Feb 2016 21:04 - pospelov

- Description updated

#4 - 03 Feb 2016 13:42 - herck

- Status changed from New to Sprint

#5 - 03 Feb 2016 13:42 - herck

- Target version set to Sprint 30

#6 - 03 Feb 2016 16:56 - herck

- Assignee set to herck

#7 - 05 Feb 2016 12:15 - herck

- Status changed from Sprint to Resolved

#8 - 15 Feb 2016 16:01 - pospelov

- Status changed from Resolved to Archived
